import React from 'react';
import SvgIcon from 'material-ui/SvgIcon';

const GanreIcon = (props) => (
  <SvgIcon {...props}>
    <svg x="0px" y="0px" viewBox="0 0 512 512">
      <g>
        <circle cx="256" cy="256" r="21.333"/>
        <path d="M292.188,444.708c-0.781-0.781-1.531-1.604-2.24-2.469c-18.24-22.271-16.635-54.406,3.729-74.75
				c9.99-9.99,23.26-15.771,37.375-16.281c5.74-0.198,10.281-4.917,10.281-10.656v-9.885c0-4.801,0.859-9.392,2.081-13.848
				c-19.296,27.641-51.227,45.848-87.414,45.848c-58.813,0-106.667-47.854-106.667-106.667S197.188,149.333,256,149.333
				S362.667,197.188,362.667,256c0,13.918-2.861,27.139-7.732,39.341c8.858-9.964,21.315-16.699,35.398-17.831
				c2.74-0.219,5.292-1.49,7.115-3.552c20.292-22.833,59.479-22.833,79.771,0c1.823,2.063,4.375,3.333,7.115,3.552
				c3.813,0.302,7.833,1.208,12.656,2.833c3.125,1.063,6.604,0.604,9.354-1.25c2.76-1.844,4.5-4.865,4.708-8.177l0.365-4.583
				C511.719,262.917,512,259.5,512,256C512,114.844,397.156,0,256,0S0,114.844,0,256s114.844,256,256,256
				c23.208,0,47.104-3.542,71.031-10.521c3.625-1.063,6.427-3.958,7.354-7.615c0.927-3.667-0.156-7.552-2.844-10.208
				L292.188,444.708z M127.563,138.667c-2.719,0-5.448-1.042-7.531-3.115c-4.167-4.156-4.188-10.906-0.021-15.083
				C156.292,84.052,204.594,64,256,64c5.896,0,10.667,4.771,10.667,10.667c0,5.896-4.771,10.667-10.667,10.667
				c-45.698,0-88.625,17.823-120.885,50.198C133.031,137.625,130.302,138.667,127.563,138.667z"/>
        <path d="M480,298.667c-4.156,0-8.135,0.802-11.792,2.25c-3.698-13.573-16.146-23.583-30.875-23.583
				c-14.729,0-27.177,10.01-30.875,23.583c-3.656-1.448-7.635-2.25-11.792-2.25c-17.646,0-32,14.354-32,32v57.698l-5.24-5.771
				c-12.979-13-35.677-12.99-48.677-0.01c-12.563,12.563-13.552,32.396-1.542,46.969l57.875,57.208
				c18.51,22.625,45.323,25.24,63.875,25.24C474.75,512,512,474.75,512,428.958v-98.292C512,313.021,497.646,298.667,480,298.667z"
        />
      </g>
    </svg>
  </SvgIcon>
);

export default GanreIcon;
